/************** VARIABILI DI SISTEMA *************/
:root {
    --primary-color: #ff7e5f;
    --secondary-color: #feb47b;
    --background-color: #333;
    --hover-color: #555;
    --submenu-background: #444;
    --text-color: rgb(255, 255, 255);
    --text-hover: red;
    --article-background: #f4f4f4;
    --menu-item-size: 50px;
    --green-color: #329680;
    --green_gray-color: #48cfc9;
    --blue-color:#1144dc;
    --red-color:red;
    --black-color: #000000;
    --white-color: #FFF;
    --gray-color: #ededed9f;
}
/*************** IMPOSTAZIONI CONTENUTO *************/
body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    line-height: 1.6;
    color: #333;
    overflow: hidden;
}
header {
    background: linear-gradient(
        #0329ff 0%,
        #036aff 25%,
        #039aff 50%,
        #66ccff 75%,
        #ffffff 100%
    );    
    color: var(--white-color);
    padding: 10px;
    text-align: center;
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0,1); /* Aumenta l'ombra */
    border-bottom: 3px solid var(--red-color); /* Aggiunge un bordo */
    font-size: 24px; /* Aumenta la dimensione del testo */
    font-weight: bold; /* Rende il testo più marcato */
}
.bg {
    position: absolute;
    top: 90px; /* Altezza dell'header */
    left: 0;
    width: 100%;
    height: calc(100vh - 100px); /* Altezza della pagina meno l'header */
    background-color: var(--background-color); /* Colore di sfondo */
    z-index: -1; /* Assicura che sia sotto l'header */
}
/****************** PARAMETRI MENU E SUBMENU ****************/
.menu {
    display: flex;
    justify-content: center;
    background-color: transparent;
    position: fixed;
    width: 100%;
    top: 150px;
    z-index: 1000;
}
.menu-item {
    position: relative;
    margin: 5px;
    background-color: var(--green-color);
    border-radius: 10px;
    transition: background-color 0.3s ease;
}
.menu a {
    color: var(--black-color);
    font-weight: bold;
    padding: 10px 15px;
    text-decoration: none;
    display: block;
    text-align: center;
}
.menu a:hover:not(.active) {
    background: linear-gradient(to right, var(--green-color), var(--blue-color));
    color: var(--white-color);
    border-radius: 10px;
    transform: scale(1.1);
}
.menu a.active {
    background: var(--blue-color);
    cursor: default;
    font-size: 18px;
    border-radius: 10px;
    color: var(--white-color);
    text-shadow: none; /* Rimuove l'ombra del testo */
    transform: none; /* Rimuove la trasformazione */
    box-shadow: none; /* Rimuove l'ombra */
}
.submenu {
    display: block;
    position: absolute;
    top: 100%;/* Posiziona il sottomenu direttamente sotto il menu principale */
    left: -100px;/* Allinea il sottomenu con il bordo sinistro del menu principale */
    transform: translateX(50%);
    background-color: transparent;
    border-radius: 10%;
    width: 150px;
    height: fit-content;
    margin: 0; /* Rimuove il margine */
    z-index: 1;
    text-align: center;
    opacity: 0;
    transition: opacity 0.3s ease, box-shadow 0.3s ease; /* Aggiunge una transizione */
}
.menu-item:hover .submenu {
    opacity: 1;
}
.submenu a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    color: var(--black-color);
    text-decoration: none;
    border-radius: 10px; /* Arrotonda gli angoli */
    margin: 10px 0; /* Aggiunge spazio verticale tra gli elementi */
    background-color: var(--green-color); /* Colore di sfondo vivace */
    transition: background-color 0.3s ease, transform 0.3s ease; /* Aggiunge una transizione */
    padding: 10px; /* Aggiunge spazio interno */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Aggiunge un'ombra */
    border: 2px solid var(--primary-color); /* Aggiunge un bordo colorato */
}
.submenu a:hover:not(.active) {
    background-color: var(--hover-color); /* Cambia colore al passaggio del mouse */
    transform: scale(1.05); /* Aggiunge un effetto di ingrandimento */
    border-radius: 10px;
}
.submenu a.active {
    color: var(--white-color); /* Cambia il colore del testo a bianco per i sottomenu attivi */
    background-color: var(--blue-color); /* Cambia il colore di sfondo */
    text-shadow: none; /* Rimuove l'ombra del testo */
    transform: none; /* Rimuove la trasformazione */
    box-shadow: none; /* Rimuove l'ombra */
}
.menu-item:hover .submenu {
    opacity: 1;
}
.content {
    flex: 1;
    overflow-y: auto;
    margin-top: 100px;
    padding: 20px;
}
.article-box {
    padding: 20px;
    background-color: var(--article-background);
    border-radius: 15px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    height: 2000px;
}
footer {
    background-color: var(--background-color);
    color: var(--text-color);
    text-align: center;
    position: fixed;
    width: 100%;
    bottom: 0;
    z-index: 1000;
    padding: 5px 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
.footer-text {
    display: flex;
    width: 100%; /* Assicura che il contenitore prenda tutta la larghezza disponibile */
    margin: 0;
    justify-content: center; /* Centra la scritta nel footer */
    margin-right: 20%;
}
.Privacy {
    margin: 0;
    display: flex; /* Imposta il layout flex */
    justify-content: flex-start; /* Allinea gli elementi a sinistra */
    padding: 10px;
    gap: 15px; /* Aggiunge spazio tra gli elementi */
    margin-top: 0; /* Riduce lo spazio tra Privacy e la scritta nel footer */
}
/*********  Quadrato menu mobile ***********/        
.menu-toggle {
    display: none;
    position: fixed;
    font-size: 15px;
    color: var(--black-color);
    background-color: var(--green-color);
    border-color: aqua;
    border-radius: 10px;
    padding: 10px;
    cursor: pointer;
    z-index: 1001;
}
/************* SCRITTA SCORREVOLE ***************/
.scritta-scorrevole {
    position: fixed;
    top: 50%;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    background-color: #333;
    color: white;
    font-size: 40px;
    font-weight: bold;
    padding: 10px 0;
    z-index: 3;
}
.testo {
    display: inline-block;
    padding-left: 100%;
    animation: scorrimento 20s linear infinite;
}
@keyframes scorrimento {
    from { transform: translateX(5%); }
    to { transform: translateX(-100%); }
}
/************ STILI PER MENU MOBILI ****************/
@media (max-width: 768px) {
.menu {
display: none; /* Nasconde il menu di default */
flex-direction: column;
align-items: center;
width: 100%;
position: absolute;
top: 60px;
background-color: transparent;
box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.menu.open {
display: flex; /* Mostra il menu quando attivo */
}

.menu-item {
width: 90%;
text-align: center;
}

.submenu {
    display: none;
    width: auto; /* Imposta la larghezza automatica in base al contenuto */
    background-color: transparent;
    text-align: center;
    position: absolute;
    left: 50%; /* Sposta il sottomenu al centro */
    transform: translateX(-50%); /* Centra il sottomenu orizzontalmente */
    margin: 0; /* Rimuove margini indesiderati */
    z-index: 1;
    opacity: 0;
}
.menu-item.active .submenu {
display: block; /* Mostra il sottomenu quando l'elemento del menu è attivo */
}

/********** Bottone con tre puntini menu mobile *********/
.menu-toggle {
    display: block;
    position: fixed;
    top: 10px;
    right: 10px;
    font-size: 25px;
    background: var(--primary-color); /* Sfondo vivace */
    color: white;
    border: 3px solid var(--secondary-color); /* Bordo visibile */
    border-radius: 10px; /* Angoli arrotondati */
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 1;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Aggiunge un'ombra */
    transition: background-color 0.3s ease, transform 0.3s ease; /* Aggiunge una transizione */
}

.menu-toggle:hover {
    background: var(--hover-color); /* Cambia colore al passaggio del mouse */
    transform: scale(1.1); /* Aggiunge un effetto di ingrandimento */
}
.scritta-scorrevole {
    font-size: medium;
}
.footer-content {
    flex-direction: column;
    text-align: center;
}
.footer-text{
    margin: 0;
}
.Privacy {
    justify-content: center;
    margin-top: 5px; /* Spazio tra scritta e Privacy */
}
}
